#pragma once
#include "Mod.h"

class HealthAlert : public Mod {
public:
	float health = 15.f;
	bool showhp = false;
	bool dizziness = false;
	HealthAlert() : Mod(_("Health Alert"), _("Alerts when your health is low."), Category::RENDER) {
		settings.push_back(new Setting{ _("Health"), &health, new float(20.f), new float(0.f), 2, {}, true, 5.f });
		settings.push_back(new Setting{ _("Show HP"), &showhp, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Dizziness"), &dizziness, 0, 0, 0, {}, true });

		enabled = false;
	}
	
private:
	bool alert = false;
	float alpha = 0.f;

	virtual auto onClient() -> void;
	virtual auto onImGuiRender() -> void;
	virtual auto getMode() -> std::string;
};
